﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.LiveBinding;
using OpcLabs.BaseLibFactory.ComponentModel;

namespace OpcLabs.BaseLibFactory.LiveBinding
{
    static public class PointBindingGroupInstances
    {
        [NotNull]
        static public PointBindingGroup Instance0 => new PointBindingGroup();

        [NotNull]
        static public PointBindingGroup Instance1 => new PointBindingGroup
        {
            AutoRead = true,
            AutoSubscribe = false,
            AutoWrite = true,
        };

        [NotNull]
        static public PointBindingGroup Instance2 => new PointBindingGroup
        {
            AutoRead = true,
            AutoSubscribe = false,
            AutoWrite = true,
            ReadEventSource = EventSourceInstances.Instance1,
            WriteEventSource = EventSourceInstances.Instance1
        };
    }
}
