﻿using System.Runtime.InteropServices;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Connectivity;

namespace OpcLabs.EasyOpcFactory.DataAccess.Connectivity
{
    static public class DAPropertyPointReadArgumentsInstances
    {
        [NotNull]
        static public DAPropertyPointReadArguments Instance0 => new DAPropertyPointReadArguments();

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public DAPropertyPointReadArguments Instance1
        {
            get
            {
                var propertyPointReadArguments = new DAPropertyPointReadArguments 
                {
                    ErrorId = "-111",
                    Exception = new COMException("comException1", 112),
                    ErrorMessage = "errorMessage1",
                    Value = 2222.2f,
                };
                return propertyPointReadArguments;
            }
        }
    }
}
