﻿using System.Threading;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class DAReadParametersInstances
    {
        [NotNull]
        static public DAReadParameters Instance1
        {
            get
            {
                var readParameters = new DAReadParameters(DADataSource.ByValueAge, 112233);
                return readParameters;
            }
        }

        [NotNull]
        static public DAReadParameters Instance2
        {
            get
            {
                var readParameters = new DAReadParameters(DADataSource.Cache, 223344);
                return readParameters;
            }
        }

        [NotNull]
        static public DAReadParameters Instance3
        {
            get
            {
                var readParameters = new DAReadParameters(DADataSource.Device, 334455);
                return readParameters;
            }
        }

        [NotNull]
        static public DAReadParameters Instance4
        {
            get
            {
                var readParameters = new DAReadParameters(DADataSource.ByValueAge, 0);
                return readParameters;
            }
        }

        [NotNull]
        static public DAReadParameters Instance5
        {
            get
            {
                var readParameters = new DAReadParameters(DADataSource.ByValueAge, Timeout.Infinite);
                return readParameters;
            }
        }
    }
}
