﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AlarmsAndConditions;

namespace OpcLabs.EasyOpcFactory.UA.AlarmsAndConditions
{
    static public class UABaseEventObjectInstances
    {
        [NotNull]
        static public UABaseEventObject Instance0 => new UABaseEventObject(UAEventData.Null);

        [NotNull]
        static public UABaseEventObject Instance1 => new UABaseEventObject(UAEventDataInstances.Instance2_BaseEvent);

        [NotNull]
        static public UABaseEventObject Instance2 => new UABaseEventObject(UAEventDataInstances.Instance3_BaseEvent);
    }
}
