﻿using System.Collections.Generic;
using System.Linq;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.AddressSpace;

namespace OpcLabs.EasyOpcLiveTest.DataAccess.Environment
{
    public class DANodeCatalogEntry : CatalogEntry<DANodeElement>
    {
        public DANodeCatalogEntry([NotNull] DANodeElement element) 
            : base(element)
        {
            PropertyCatalog = Enumerable.Empty<DAPropertyCatalogEntry>();
        }

        [NotNull]
        public IEnumerable<DAPropertyCatalogEntry> PropertyCatalog { get; set; }
    }
}
