﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.DataAccess.ComTypes;

namespace OpcLabs.EasyOpcLiveTest.Legacy.DataAccess
{
    partial class EasyDAClientTest
    {
        // ReSharper disable InconsistentNaming

        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void _EasyDAClient_WriteItemTest1()
        {
            var target = new EasyDAClient();
            var client = (_EasyDAClient) target;
            client.WriteItem("", LegacyTestDefs.ProgIds.KitServer, LegacyTestDefs.DataAccess.ItemIds.Register_I4, 
                12345, new DateTime(1980, 1, 1), DAQualities.GoodNonspecific);
        }

        // ReSharper restore InconsistentNaming
    }
}
