﻿
using System.Collections;
using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class OpaqueDataInstances
    {
        [NotNull]
        static public OpaqueData Instance0 => new OpaqueData();

        [NotNull]
        static public OpaqueData Instance1 => new OpaqueData(new byte[] {55, 160});

        [NotNull]
        static public OpaqueData Instance2 => new OpaqueData(OpaqueDataTypeInstances.Instance4, new BitArray(new byte[] { 55, 160, 0, 255 }) { Length = 31});
    }
}
