﻿using JetBrains.Annotations;
using OpcLabs.BaseLib;
using OpcLabs.EasyOpc.UA.Navigation.Parsing;

namespace OpcLabs.EasyOpcFactory.UA.Parsing
{
    static public class UABrowsePathFormatExceptionInstances
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UABrowsePathFormatException Instance1 => new UABrowsePathFormatException(new StringParsingError(UABrowsePathFormatErrorCode.ArgumentEndCharacterExpected), "string1");

        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1065:DoNotRaiseExceptionsInUnexpectedLocations")]
        [NotNull]
        static public UABrowsePathFormatException Instance2 => new UABrowsePathFormatException(
            // ReSharper disable once LocalizableElement
            "TestMessage2",
            new StringParsingError(UABrowsePathFormatErrorCode.InvalidReferenceTypeCharacter));
    }
}
