﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UAIndexRangeListInstances
    {
        [NotNull]
        static public UAIndexRangeList Instance1 => new UAIndexRangeList(new[] {UAIndexRangeInstances.Instance2});

        [NotNull]
        static public UAIndexRangeList Instance2 => new UAIndexRangeList(new[]
        {
            UAIndexRangeInstances.Instance1,
            UAIndexRangeInstances.Instance2
        });

        [NotNull]
        static public UAIndexRangeList Instance3 => new UAIndexRangeList(new[]
        {
            UAIndexRangeInstances.Instance1,
            UAIndexRangeInstances.Instance2,
            UAIndexRangeInstances.Instance3
        });
    }
}
