﻿using System;
using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcLiveTest.Legacy.DataAccess
{
    // ReSharper disable once InconsistentNaming
    public partial class IEasyDAClientTest_BrowseServers : IEasyDAClientTestBase
    {
        public IEasyDAClientTest_BrowseServers([NotNull] Func<IEasyDAClient> createClientFunc)
            : base(createClientFunc)
        {
        }

        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void BrowseServersTest()
        {
            var target = CreateClient();

            ServerElementCollection actualResultDictionary = target.BrowseServers("");

            Assert.IsNotNull(actualResultDictionary);

            //TODO:

        }
    }
}
