﻿
using System.ComponentModel;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpc.UA;
using OpcLabs.UnitTestLib;

namespace OpcLabs.EasyOpcTest.UA
{
    /// <summary>
    ///This is a test class for EasyUAClientTest and is intended
    ///to contain all EasyUAClientTest Unit Tests
    ///</summary>
    public partial class EasyUAClientTest
    {
        [TestCategory("OpcUA")]
        [TestMethod]
        public void CtorTest_IContainer()
        {
            TestSection.Arrange();
            var container = new Container();

            TestSection.Act();
            var target = new EasyUAClient(container);

            TestSection.Assert();
            Assert.IsNotNull(target.InstanceParameters);
            Assert.IsNotNull(target.IsolatedParameters);
            Assert.IsNotNull(target.LicenseInfo);
        }
    }
}
